Index: testsuites/smptests/Makefile.am
===================================================================
--- testsuites/smptests/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ testsuites/smptests/Makefile.am	(revision 8074fa0b83431ee5fa0707b9207ffd636efca07f)
@@ -1,63 +1,638 @@
+#
+# SMP Teststuite
+#
+
 ACLOCAL_AMFLAGS = -I ../aclocal
 
-_SUBDIRS  =
-if SMPTESTS
-_SUBDIRS += smp01
-_SUBDIRS += smp02
-_SUBDIRS += smp03
-_SUBDIRS += smp05
-_SUBDIRS += smp07
-_SUBDIRS += smp08
-_SUBDIRS += smp09
-_SUBDIRS += smpaffinity01
-_SUBDIRS += smpatomic01
-_SUBDIRS += smpcache01
-_SUBDIRS += smpcapture01
-_SUBDIRS += smpcapture02
-_SUBDIRS += smpclock01
-_SUBDIRS += smpfatal01
-_SUBDIRS += smpfatal02
-_SUBDIRS += smpfatal03
-_SUBDIRS += smpfatal04
-_SUBDIRS += smpfatal05
-_SUBDIRS += smpfatal06
-_SUBDIRS += smpfatal08
-_SUBDIRS += smpipi01
-_SUBDIRS += smpload01
-_SUBDIRS += smplock01
-_SUBDIRS += smpmigration01
-_SUBDIRS += smpmigration02
-_SUBDIRS += smpmrsp01
-_SUBDIRS += smpmutex01
-_SUBDIRS += smpmutex02
-_SUBDIRS += smpopenmp01
-_SUBDIRS += smpschedaffinity03
-_SUBDIRS += smpschedaffinity04
-_SUBDIRS += smpschedaffinity05
-_SUBDIRS += smpschededf01
-_SUBDIRS += smpschededf02
-_SUBDIRS += smpschededf03
-_SUBDIRS += smpschedsem01
-_SUBDIRS += smpscheduler01
-_SUBDIRS += smpscheduler02
-_SUBDIRS += smpscheduler03
-_SUBDIRS += smpscheduler04
-_SUBDIRS += smpscheduler05
-_SUBDIRS += smpscheduler06
-_SUBDIRS += smpscheduler07
-_SUBDIRS += smpsignal01
-_SUBDIRS += smpstrongapa01
-_SUBDIRS += smpswitchextension01
-_SUBDIRS += smpthreadlife01
-_SUBDIRS += smpunsupported01
-_SUBDIRS += smpwakeafter01
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../automake/compile.am
+
+smp_tests =
+smp_screens =
+smp_docs =
+
+support_includes = -I$(top_srcdir)/../support/include
+
+if HAS_SMP
+if TEST_smp01
+smp_tests += smp01
+smp_screens += smp01/smp01.scn
+smp_docs += smp01/smp01.doc
+smp01_SOURCES = smp01/init.c smp01/tasks.c smp01/system.h \
+	../support/src/locked_print.c
+smp01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp01) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp02
+smp_tests += smp02
+smp_screens += smp02/smp02.scn
+smp_docs += smp02/smp02.doc
+smp02_SOURCES = smp02/init.c smp02/tasks.c smp02/system.h \
+	../support/src/locked_print.c
+smp02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp02) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp03
+smp_tests += smp03
+smp_screens += smp03/smp03.scn
+smp_docs += smp03/smp03.doc
+smp03_SOURCES = smp03/init.c smp03/tasks.c smp03/system.h \
+	../support/src/locked_print.c
+smp03_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp03) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp05
+smp_tests += smp05
+smp_screens += smp05/smp05.scn
+smp_docs += smp05/smp05.doc
+smp05_SOURCES = smp05/init.c ../support/src/locked_print.c
+smp05_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp05) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp07
+smp_tests += smp07
+smp_screens += smp07/smp07.scn
+smp_docs += smp07/smp07.doc
+smp07_SOURCES = smp07/init.c ../support/src/locked_print.c
+smp07_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp07) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp08
+smp_tests += smp08
+smp_screens += smp08/smp08.scn
+smp_docs += smp08/smp08.doc
+smp08_SOURCES = smp08/init.c smp08/tasks.c smp08/system.h \
+	../support/src/locked_print.c
+smp08_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp08) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smp09
+smp_tests += smp09
+smp_screens += smp09/smp09.scn
+smp_docs += smp09/smp09.doc
+smp09_SOURCES = smp09/init.c ../support/src/locked_print.c
+smp09_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smp09) \
+	$(support_includes) -DSMPTEST
+endif
+endif
+
+if HAS_SMP
+if TEST_smpaffinity01
+smp_tests += smpaffinity01
+smp_screens += smpaffinity01/smpaffinity01.scn
+smp_docs += smpaffinity01/smpaffinity01.doc
+smpaffinity01_SOURCES = smpaffinity01/init.c
+smpaffinity01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpaffinity01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpatomic01
+smp_tests += smpatomic01
+smp_screens += smpatomic01/smpatomic01.scn
+smp_docs += smpatomic01/smpatomic01.doc
+smpatomic01_SOURCES = smpatomic01/init.c
+smpatomic01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpatomic01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpcache01
+smp_tests += smpcache01
+smp_screens += smpcache01/smpcache01.scn
+smp_docs += smpcache01/smpcache01.doc
+smpcache01_SOURCES = smpcache01/init.c
+smpcache01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpcache01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpcapture01
+smp_tests += smpcapture01
+smp_screens += smpcapture01/smpcapture01.scn
+smp_docs += smpcapture01/smpcapture01.doc
+smpcapture01_SOURCES = smpcapture01/init.c
+smpcapture01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpcapture01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpcapture02
+smp_tests += smpcapture02
+smp_screens += smpcapture02/smpcapture02.scn
+smp_docs += smpcapture02/smpcapture02.doc
+smpcapture02_SOURCES = smpcapture02/init.c
+smpcapture02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpcapture02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpclock01
+smp_tests += smpclock01
+smp_screens += smpclock01/smpclock01.scn
+smp_docs += smpclock01/smpclock01.doc
+smpclock01_SOURCES = smpclock01/init.c ../support/src/spin.c
+smpclock01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpclock01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal01
+smp_tests += smpfatal01
+smp_screens += smpfatal01/smpfatal01.scn
+smp_docs += smpfatal01/smpfatal01.doc
+smpfatal01_SOURCES = smpfatal01/init.c
+smpfatal01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal02
+smp_tests += smpfatal02
+smp_screens += smpfatal02/smpfatal02.scn
+smp_docs += smpfatal02/smpfatal02.doc
+smpfatal02_SOURCES = smpfatal02/init.c
+smpfatal02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal03
+smp_tests += smpfatal03
+smp_screens += smpfatal03/smpfatal03.scn
+smp_docs += smpfatal03/smpfatal03.doc
+smpfatal03_SOURCES = smpfatal03/init.c
+smpfatal03_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal03) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal04
+smp_tests += smpfatal04
+smp_screens += smpfatal04/smpfatal04.scn
+smp_docs += smpfatal04/smpfatal04.doc
+smpfatal04_SOURCES = smpfatal04/init.c
+smpfatal04_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal04) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal05
+smp_tests += smpfatal05
+smp_screens += smpfatal05/smpfatal05.scn
+smp_docs += smpfatal05/smpfatal05.doc
+smpfatal05_SOURCES = smpfatal05/init.c
+smpfatal05_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal05) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal06
+smp_tests += smpfatal06
+smp_screens += smpfatal06/smpfatal06.scn
+smp_docs += smpfatal06/smpfatal06.doc
+smpfatal06_SOURCES = smpfatal06/init.c
+smpfatal06_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal06) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpfatal08
+smp_tests += smpfatal08
+smp_screens += smpfatal08/smpfatal08.scn
+smp_docs += smpfatal08/smpfatal08.doc
+smpfatal08_SOURCES = smpfatal08/init.c
+smpfatal08_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpfatal08) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpipi01
+smp_tests += smpipi01
+smp_screens += smpipi01/smpipi01.scn
+smp_docs += smpipi01/smpipi01.doc
+smpipi01_SOURCES = smpipi01/init.c
+smpipi01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpipi01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpload01
+smp_tests += smpload01
+smp_screens += smpload01/smpload01.scn
+smp_docs += smpload01/smpload01.doc
+smpload01_SOURCES = smpload01/init.c
+smpload01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpload01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smplock01
+smp_tests += smplock01
+smp_screens += smplock01/smplock01.scn
+smp_docs += smplock01/smplock01.doc
+smplock01_SOURCES = smplock01/init.c
+smplock01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smplock01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpmigration01
+smp_tests += smpmigration01
+smp_screens += smpmigration01/smpmigration01.scn
+smp_docs += smpmigration01/smpmigration01.doc
+smpmigration01_SOURCES = smpmigration01/init.c
+smpmigration01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpmigration01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpmigration02
+smp_tests += smpmigration02
+smp_screens += smpmigration02/smpmigration02.scn
+smp_docs += smpmigration02/smpmigration02.doc
+smpmigration02_SOURCES = smpmigration02/init.c
+smpmigration02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpmigration02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpmrsp01
+smp_tests += smpmrsp01
+smp_screens += smpmrsp01/smpmrsp01.scn
+smp_docs += smpmrsp01/smpmrsp01.doc
+smpmrsp01_SOURCES = smpmrsp01/init.c
+smpmrsp01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpmrsp01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpmutex01
+smp_tests += smpmutex01
+smp_screens += smpmutex01/smpmutex01.scn
+smp_docs += smpmutex01/smpmutex01.doc
+smpmutex01_SOURCES = smpmutex01/init.c
+smpmutex01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpmutex01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpmutex02
+smp_tests += smpmutex02
+smp_screens += smpmutex02/smpmutex02.scn
+smp_docs += smpmutex02/smpmutex02.doc
+smpmutex02_SOURCES = smpmutex02/init.c
+smpmutex02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpmutex02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpopenmp01
+smp_tests += smpopenmp01
+smp_screens += smpopenmp01/smpopenmp01.scn
+smp_docs += smpopenmp01/smpopenmp01.doc
+smpopenmp01_SOURCES = smpopenmp01/init.c
+smpopenmp01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpopenmp01) \
+	$(support_includes)
+smpopenmp01_CFLAGS = $(AM_CFLAGS) -fopenmp
+endif
+endif
+
+if HAS_SMP
 if HAS_POSIX
-_SUBDIRS += smppsxaffinity01
-_SUBDIRS += smppsxaffinity02
-_SUBDIRS += smppsxmutex01
-_SUBDIRS += smppsxsignal01
-endif
-endif
-
-include $(top_srcdir)/../automake/subdirs.am
+if TEST_smppsxaffinity01
+smp_tests += smppsxaffinity01
+smp_screens += smppsxaffinity01/smppsxaffinity01.scn
+smp_docs += smppsxaffinity01/smppsxaffinity01.doc
+smppsxaffinity01_SOURCES = smppsxaffinity01/init.c
+smppsxaffinity01_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smppsxaffinity01) $(support_includes) \
+	-I$(top_srcdir)/include
+endif
+endif
+endif
+
+if HAS_SMP
+if HAS_POSIX
+if TEST_smppsxaffinity02
+smp_tests += smppsxaffinity02
+smp_screens += smppsxaffinity02/smppsxaffinity02.scn
+smp_docs += smppsxaffinity02/smppsxaffinity02.doc
+smppsxaffinity02_SOURCES = smppsxaffinity02/init.c
+smppsxaffinity02_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smppsxaffinity02) $(support_includes)
+endif
+endif
+endif
+
+if HAS_SMP
+if HAS_POSIX
+if TEST_smppsxmutex01
+smp_tests += smppsxmutex01
+smp_screens += smppsxmutex01/smppsxmutex01.scn
+smp_docs += smppsxmutex01/smppsxmutex01.doc
+smppsxmutex01_SOURCES = smppsxmutex01/init.c
+smppsxmutex01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smppsxmutex01) \
+	$(support_includes)
+endif
+endif
+endif
+
+if HAS_SMP
+if HAS_POSIX
+if TEST_smppsxsignal01
+smp_tests += smppsxsignal01
+smp_screens += smppsxsignal01/smppsxsignal01.scn
+smp_docs += smppsxsignal01/smppsxsignal01.doc
+smppsxsignal01_SOURCES = smppsxsignal01/init.c
+smppsxsignal01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smppsxsignal01) \
+	$(support_includes)
+endif
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedaffinity01
+smp_tests += smpschedaffinity01
+smp_screens += smpschedaffinity01/smpschedaffinity01.scn
+smp_docs += smpschedaffinity01/smpschedaffinity01.doc
+smpschedaffinity01_SOURCES = smpschedaffinity01/init.c
+smpschedaffinity01_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpschedaffinity01) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedaffinity02
+smp_tests += smpschedaffinity02
+smp_screens += smpschedaffinity02/smpschedaffinity02.scn
+smp_docs += smpschedaffinity02/smpschedaffinity02.doc
+smpschedaffinity02_SOURCES = smpschedaffinity02/init.c
+smpschedaffinity02_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpschedaffinity02) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedaffinity03
+smp_tests += smpschedaffinity03
+smp_screens += smpschedaffinity03/smpschedaffinity03.scn
+smp_docs += smpschedaffinity03/smpschedaffinity03.doc
+smpschedaffinity03_SOURCES = smpschedaffinity03/init.c
+smpschedaffinity03_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpschedaffinity03) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedaffinity04
+smp_tests += smpschedaffinity04
+smp_screens += smpschedaffinity04/smpschedaffinity04.scn
+smp_docs += smpschedaffinity04/smpschedaffinity04.doc
+smpschedaffinity04_SOURCES = smpschedaffinity04/init.c
+smpschedaffinity04_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpschedaffinity04) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedaffinity05
+smp_tests += smpschedaffinity05
+smp_screens += smpschedaffinity05/smpschedaffinity05.scn
+smp_docs += smpschedaffinity05/smpschedaffinity05.doc
+smpschedaffinity05_SOURCES = smpschedaffinity05/init.c
+smpschedaffinity05_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpschedaffinity05) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschededf01
+smp_tests += smpschededf01
+smp_screens += smpschededf01/smpschededf01.scn
+smp_docs += smpschededf01/smpschededf01.doc
+smpschededf01_SOURCES = smpschededf01/init.c
+smpschededf01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpschededf01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschededf02
+smp_tests += smpschededf02
+smp_screens += smpschededf02/smpschededf02.scn
+smp_docs += smpschededf02/smpschededf02.doc
+smpschededf02_SOURCES = smpschededf02/init.c
+smpschededf02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpschededf02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschededf03
+smp_tests += smpschededf03
+smp_screens += smpschededf03/smpschededf03.scn
+smp_docs += smpschededf03/smpschededf03.doc
+smpschededf03_SOURCES = smpschededf03/init.c
+smpschededf03_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpschededf03) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpschedsem01
+smp_tests += smpschedsem01
+smp_screens += smpschedsem01/smpschedsem01.scn
+smp_docs += smpschedsem01/smpschedsem01.doc
+smpschedsem01_SOURCES = smpschedsem01/init.c
+smpschedsem01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpschedsem01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler01
+smp_tests += smpscheduler01
+smp_screens += smpscheduler01/smpscheduler01.scn
+smp_docs += smpscheduler01/smpscheduler01.doc
+smpscheduler01_SOURCES = smpscheduler01/init.c
+smpscheduler01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler02
+smp_tests += smpscheduler02
+smp_screens += smpscheduler02/smpscheduler02.scn
+smp_docs += smpscheduler02/smpscheduler02.doc
+smpscheduler02_SOURCES = smpscheduler02/init.c
+smpscheduler02_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler02) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler03
+smp_tests += smpscheduler03
+smp_screens += smpscheduler03/smpscheduler03.scn
+smp_docs += smpscheduler03/smpscheduler03.doc
+smpscheduler03_SOURCES = smpscheduler03/init.c smpscheduler03/test.c
+smpscheduler03_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler03) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler04
+smp_tests += smpscheduler04
+smp_screens += smpscheduler04/smpscheduler04.scn
+smp_docs += smpscheduler04/smpscheduler04.doc
+smpscheduler04_SOURCES = smpscheduler04/init.c
+smpscheduler04_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler04) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler05
+smp_tests += smpscheduler05
+smp_screens += smpscheduler05/smpscheduler05.scn
+smp_docs += smpscheduler05/smpscheduler05.doc
+smpscheduler05_SOURCES = smpscheduler05/init.c smpscheduler03/test.c
+smpscheduler05_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler05) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler06
+smp_tests += smpscheduler06
+smp_screens += smpscheduler06/smpscheduler06.scn
+smp_docs += smpscheduler06/smpscheduler06.doc
+smpscheduler06_SOURCES = smpscheduler06/init.c smpscheduler03/test.c
+smpscheduler06_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler06) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpscheduler07
+smp_tests += smpscheduler07
+smp_screens += smpscheduler07/smpscheduler07.scn
+smp_docs += smpscheduler07/smpscheduler07.doc
+smpscheduler07_SOURCES = smpscheduler07/init.c smpscheduler03/test.c
+smpscheduler07_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpscheduler07) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpsignal01
+smp_tests += smpsignal01
+smp_screens += smpsignal01/smpsignal01.scn
+smp_docs += smpsignal01/smpsignal01.doc
+smpsignal01_SOURCES = smpsignal01/init.c
+smpsignal01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpsignal01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpstrongapa01
+smp_tests += smpstrongapa01
+smp_screens += smpstrongapa01/smpstrongapa01.scn
+smp_docs += smpstrongapa01/smpstrongapa01.doc
+smpstrongapa01_SOURCES = smpstrongapa01/init.c
+smpstrongapa01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpstrongapa01) \
+	$(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpswitchextension01
+smp_tests += smpswitchextension01
+smp_screens += smpswitchextension01/smpswitchextension01.scn
+smp_docs += smpswitchextension01/smpswitchextension01.doc
+smpswitchextension01_SOURCES = smpswitchextension01/init.c
+smpswitchextension01_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpswitchextension01) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpthreadlife01
+smp_tests += smpthreadlife01
+smp_screens += smpthreadlife01/smpthreadlife01.scn
+smp_docs += smpthreadlife01/smpthreadlife01.doc
+smpthreadlife01_SOURCES = smpthreadlife01/init.c
+smpthreadlife01_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpthreadlife01) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpunsupported01
+smp_tests += smpunsupported01
+smp_screens += smpunsupported01/smpunsupported01.scn
+smp_docs += smpunsupported01/smpunsupported01.doc
+smpunsupported01_SOURCES = smpunsupported01/init.c
+smpunsupported01_CPPFLAGS = $(AM_CPPFLAGS) \
+	$(TEST_FLAGS_smpunsupported01) $(support_includes)
+endif
+endif
+
+if HAS_SMP
+if TEST_smpwakeafter01
+smp_tests += smpwakeafter01
+smp_screens += smpwakeafter01/smpwakeafter01.scn
+smp_docs += smpwakeafter01/smpwakeafter01.doc
+smpwakeafter01_SOURCES = smpwakeafter01/init.c
+smpwakeafter01_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_smpwakeafter01) \
+	$(support_includes)
+endif
+endif
+
+rtems_tests_PROGRAMS = $(smp_tests)
+dist_rtems_tests_DATA = $(smp_screens) $(smp_docs)
+
 include $(top_srcdir)/../automake/local.am
Index: testsuites/smptests/configure.ac
===================================================================
--- testsuites/smptests/configure.ac	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ testsuites/smptests/configure.ac	(revision 8074fa0b83431ee5fa0707b9207ffd636efca07f)
@@ -33,6 +33,6 @@
 RTEMS_CHECK_CPUOPTS([RTEMS_SMP])
 
-AM_CONDITIONAL(SMPTESTS,test "$rtems_cv_RTEMS_SMP" = "yes")
-
+AM_CONDITIONAL(NO_SMP,test "$rtems_cv_RTEMS_SMP" != "yes")
+AM_CONDITIONAL(HAS_SMP,test "$rtems_cv_RTEMS_SMP" = "yes")
 AM_CONDITIONAL([HAS_POSIX],[test x"${rtems_cv_RTEMS_POSIX_API}" = xyes])
 
@@ -54,61 +54,61 @@
   #include <pthread.h>]])
 
-# Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-smpopenmp01/Makefile
-smp01/Makefile
-smp02/Makefile
-smp03/Makefile
-smp05/Makefile
-smp07/Makefile
-smp08/Makefile
-smp09/Makefile
-smpaffinity01/Makefile
-smpatomic01/Makefile
-smpcache01/Makefile
-smpcapture01/Makefile
-smpcapture02/Makefile
-smpclock01/Makefile
-smpfatal01/Makefile
-smpfatal02/Makefile
-smpfatal03/Makefile
-smpfatal04/Makefile
-smpfatal05/Makefile
-smpfatal06/Makefile
-smpfatal08/Makefile
-smpipi01/Makefile
-smpload01/Makefile
-smplock01/Makefile
-smpmigration01/Makefile
-smpmigration02/Makefile
-smpmrsp01/Makefile
-smpmutex01/Makefile
-smpmutex02/Makefile
-smppsxaffinity01/Makefile
-smppsxaffinity02/Makefile
-smppsxmutex01/Makefile
-smppsxsignal01/Makefile
-smpschedaffinity01/Makefile
-smpschedaffinity02/Makefile
-smpschedaffinity03/Makefile
-smpschedaffinity04/Makefile
-smpschedaffinity05/Makefile
-smpschededf01/Makefile
-smpschededf02/Makefile
-smpschededf03/Makefile
-smpschedsem01/Makefile
-smpscheduler01/Makefile
-smpscheduler02/Makefile
-smpscheduler03/Makefile
-smpscheduler04/Makefile
-smpscheduler05/Makefile
-smpscheduler06/Makefile
-smpscheduler07/Makefile
-smpsignal01/Makefile
-smpstrongapa01/Makefile
-smpswitchextension01/Makefile
-smpthreadlife01/Makefile
-smpunsupported01/Makefile
-smpwakeafter01/Makefile
-])
+# BSP Test configuration
+RTEMS_TEST_CHECK([smp01])
+RTEMS_TEST_CHECK([smp02])
+RTEMS_TEST_CHECK([smp03])
+RTEMS_TEST_CHECK([smp05])
+RTEMS_TEST_CHECK([smp07])
+RTEMS_TEST_CHECK([smp08])
+RTEMS_TEST_CHECK([smp09])
+RTEMS_TEST_CHECK([smpaffinity01])
+RTEMS_TEST_CHECK([smpatomic01])
+RTEMS_TEST_CHECK([smpcache01])
+RTEMS_TEST_CHECK([smpcapture01])
+RTEMS_TEST_CHECK([smpcapture02])
+RTEMS_TEST_CHECK([smpclock01])
+RTEMS_TEST_CHECK([smpfatal01])
+RTEMS_TEST_CHECK([smpfatal02])
+RTEMS_TEST_CHECK([smpfatal03])
+RTEMS_TEST_CHECK([smpfatal04])
+RTEMS_TEST_CHECK([smpfatal05])
+RTEMS_TEST_CHECK([smpfatal06])
+RTEMS_TEST_CHECK([smpfatal08])
+RTEMS_TEST_CHECK([smpipi01])
+RTEMS_TEST_CHECK([smpload01])
+RTEMS_TEST_CHECK([smplock01])
+RTEMS_TEST_CHECK([smpmigration01])
+RTEMS_TEST_CHECK([smpmigration02])
+RTEMS_TEST_CHECK([smpmrsp01])
+RTEMS_TEST_CHECK([smpmutex01])
+RTEMS_TEST_CHECK([smpmutex02])
+RTEMS_TEST_CHECK([smpopenmp01])
+RTEMS_TEST_CHECK([smppsxaffinity01])
+RTEMS_TEST_CHECK([smppsxaffinity02])
+RTEMS_TEST_CHECK([smppsxmutex01])
+RTEMS_TEST_CHECK([smppsxsignal01])
+RTEMS_TEST_CHECK([smpschedaffinity01])
+RTEMS_TEST_CHECK([smpschedaffinity02])
+RTEMS_TEST_CHECK([smpschedaffinity03])
+RTEMS_TEST_CHECK([smpschedaffinity04])
+RTEMS_TEST_CHECK([smpschedaffinity05])
+RTEMS_TEST_CHECK([smpschededf01])
+RTEMS_TEST_CHECK([smpschededf02])
+RTEMS_TEST_CHECK([smpschededf03])
+RTEMS_TEST_CHECK([smpschedsem01])
+RTEMS_TEST_CHECK([smpscheduler01])
+RTEMS_TEST_CHECK([smpscheduler02])
+RTEMS_TEST_CHECK([smpscheduler03])
+RTEMS_TEST_CHECK([smpscheduler04])
+RTEMS_TEST_CHECK([smpscheduler05])
+RTEMS_TEST_CHECK([smpscheduler06])
+RTEMS_TEST_CHECK([smpscheduler07])
+RTEMS_TEST_CHECK([smpsignal01])
+RTEMS_TEST_CHECK([smpstrongapa01])
+RTEMS_TEST_CHECK([smpswitchextension01])
+RTEMS_TEST_CHECK([smpthreadlife01])
+RTEMS_TEST_CHECK([smpunsupported01])
+RTEMS_TEST_CHECK([smpwakeafter01])
+
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: stsuites/smptests/smp01/Makefile.am
===================================================================
--- testsuites/smptests/smp01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = smp01
-smp01_SOURCES = init.c tasks.c system.h ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp01.scn
-dist_rtems_tests_DATA += smp01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-LINK_OBJS = $(smp01_OBJECTS)
-LINK_LIBS = $(smp01_LDLIBS)
-
-smp01$(EXEEXT): $(smp01_OBJECTS) $(smp01_DEPENDENCIES)
-	@rm -f smp01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp02/Makefile.am
===================================================================
--- testsuites/smptests/smp02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = smp02
-smp02_SOURCES = init.c tasks.c system.h ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp02.scn
-dist_rtems_tests_DATA += smp02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-
-LINK_OBJS = $(smp02_OBJECTS)
-LINK_LIBS = $(smp02_LDLIBS)
-
-smp02$(EXEEXT): $(smp02_OBJECTS) $(smp02_DEPENDENCIES)
-	@rm -f smp02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp03/Makefile.am
===================================================================
--- testsuites/smptests/smp03/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = smp03
-smp03_SOURCES = init.c tasks.c system.h ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp03.scn
-dist_rtems_tests_DATA += smp03.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-
-LINK_OBJS = $(smp03_OBJECTS)
-LINK_LIBS = $(smp03_LDLIBS)
-
-smp03$(EXEEXT): $(smp03_OBJECTS) $(smp03_DEPENDENCIES)
-	@rm -f smp03$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp05/Makefile.am
===================================================================
--- testsuites/smptests/smp05/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = smp05
-smp05_SOURCES = init.c ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp05.scn
-dist_rtems_tests_DATA += smp05.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-LINK_OBJS = $(smp05_OBJECTS)
-LINK_LIBS = $(smp05_LDLIBS)
-
-smp05$(EXEEXT): $(smp05_OBJECTS) $(smp05_DEPENDENCIES)
-	@rm -f smp05$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp07/Makefile.am
===================================================================
--- testsuites/smptests/smp07/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = smp07
-smp07_SOURCES = init.c ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp07.scn
-dist_rtems_tests_DATA += smp07.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-LINK_OBJS = $(smp07_OBJECTS)
-LINK_LIBS = $(smp07_LDLIBS)
-
-smp07$(EXEEXT): $(smp07_OBJECTS) $(smp07_DEPENDENCIES)
-	@rm -f smp07$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp08/Makefile.am
===================================================================
--- testsuites/smptests/smp08/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = smp08
-smp08_SOURCES = init.c tasks.c system.h ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp08.scn
-dist_rtems_tests_DATA += smp08.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-
-LINK_OBJS = $(smp08_OBJECTS)
-LINK_LIBS = $(smp08_LDLIBS)
-
-smp08$(EXEEXT): $(smp08_OBJECTS) $(smp08_DEPENDENCIES)
-	@rm -f smp08$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smp09/Makefile.am
===================================================================
--- testsuites/smptests/smp09/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = smp09
-smp09_SOURCES = init.c ../../support/src/locked_print.c
-
-dist_rtems_tests_DATA = smp09.scn
-dist_rtems_tests_DATA += smp09.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -DSMPTEST 
-
-LINK_OBJS = $(smp09_OBJECTS)
-LINK_LIBS = $(smp09_LDLIBS)
-
-smp09$(EXEEXT): $(smp09_OBJECTS) $(smp09_DEPENDENCIES)
-	@rm -f smp09$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpaffinity01/Makefile.am
===================================================================
--- testsuites/smptests/smpaffinity01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpaffinity01
-smpaffinity01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpaffinity01.scn smpaffinity01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpaffinity01_OBJECTS)
-LINK_LIBS = $(smpaffinity01_LDLIBS)
-
-smpaffinity01$(EXEEXT): $(smpaffinity01_OBJECTS) $(smpaffinity01_DEPENDENCIES)
-	@rm -f smpaffinity01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpatomic01/Makefile.am
===================================================================
--- testsuites/smptests/smpatomic01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpatomic01
-smpatomic01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpatomic01.scn smpatomic01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpatomic01_OBJECTS)
-LINK_LIBS = $(smpatomic01_LDLIBS)
-
-smpatomic01$(EXEEXT): $(smpatomic01_OBJECTS) $(smpatomic01_DEPENDENCIES)
-	@rm -f smpatomic01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpcache01/Makefile.am
===================================================================
--- testsuites/smptests/smpcache01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpcache01
-smpcache01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpcache01.scn smpcache01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpcache01_OBJECTS)
-LINK_LIBS = $(smpcache01_LDLIBS)
-
-smpcache01$(EXEEXT): $(smpcache01_OBJECTS) $(smpcache01_DEPENDENCIES)
-	@rm -f smpcache01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpcapture01/Makefile.am
===================================================================
--- testsuites/smptests/smpcapture01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpcapture01
-smpcapture01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpcapture01.scn smpcapture01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpcapture01_OBJECTS)
-LINK_LIBS = $(smpcapture01_LDLIBS)
-
-smpcapture01$(EXEEXT): $(smpcapture01_OBJECTS) $(smpcapture01_DEPENDENCIES)
-	@rm -f smpcapture01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpcapture02/Makefile.am
===================================================================
--- testsuites/smptests/smpcapture02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpcapture02
-smpcapture02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpcapture02.scn smpcapture02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpcapture02_OBJECTS)
-LINK_LIBS = $(smpcapture02_LDLIBS)
-
-smpcapture02$(EXEEXT): $(smpcapture02_OBJECTS) $(smpcapture02_DEPENDENCIES)
-	@rm -f smpcapture02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpclock01/Makefile.am
===================================================================
--- testsuites/smptests/smpclock01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,20 +1,0 @@
-rtems_tests_PROGRAMS = smpclock01
-smpclock01_SOURCES = init.c
-smpclock01_SOURCES += ../../support/src/spin.c
-
-dist_rtems_tests_DATA = smpclock01.scn smpclock01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpclock01_OBJECTS)
-LINK_LIBS = $(smpclock01_LDLIBS)
-
-smpclock01$(EXEEXT): $(smpclock01_OBJECTS) $(smpclock01_DEPENDENCIES)
-	@rm -f smpclock01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal01/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal01
-smpfatal01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal01.scn smpfatal01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal01_OBJECTS)
-LINK_LIBS = $(smpfatal01_LDLIBS)
-
-smpfatal01$(EXEEXT): $(smpfatal01_OBJECTS) $(smpfatal01_DEPENDENCIES)
-	@rm -f smpfatal01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal02/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal02
-smpfatal02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal02.scn smpfatal02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal02_OBJECTS)
-LINK_LIBS = $(smpfatal02_LDLIBS)
-
-smpfatal02$(EXEEXT): $(smpfatal02_OBJECTS) $(smpfatal02_DEPENDENCIES)
-	@rm -f smpfatal02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal03/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal03/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal03
-smpfatal03_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal03.scn smpfatal03.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal03_OBJECTS)
-LINK_LIBS = $(smpfatal03_LDLIBS)
-
-smpfatal03$(EXEEXT): $(smpfatal03_OBJECTS) $(smpfatal03_DEPENDENCIES)
-	@rm -f smpfatal03$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal04/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal04/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal04
-smpfatal04_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal04.scn smpfatal04.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal04_OBJECTS)
-LINK_LIBS = $(smpfatal04_LDLIBS)
-
-smpfatal04$(EXEEXT): $(smpfatal04_OBJECTS) $(smpfatal04_DEPENDENCIES)
-	@rm -f smpfatal04$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal05/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal05/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal05
-smpfatal05_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal05.scn smpfatal05.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal05_OBJECTS)
-LINK_LIBS = $(smpfatal05_LDLIBS)
-
-smpfatal05$(EXEEXT): $(smpfatal05_OBJECTS) $(smpfatal05_DEPENDENCIES)
-	@rm -f smpfatal05$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal06/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal06/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal06
-smpfatal06_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal06.scn smpfatal06.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal06_OBJECTS)
-LINK_LIBS = $(smpfatal06_LDLIBS)
-
-smpfatal06$(EXEEXT): $(smpfatal06_OBJECTS) $(smpfatal06_DEPENDENCIES)
-	@rm -f smpfatal06$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpfatal08/Makefile.am
===================================================================
--- testsuites/smptests/smpfatal08/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpfatal08
-smpfatal08_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpfatal08.scn smpfatal08.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpfatal08_OBJECTS)
-LINK_LIBS = $(smpfatal08_LDLIBS)
-
-smpfatal08$(EXEEXT): $(smpfatal08_OBJECTS) $(smpfatal08_DEPENDENCIES)
-	@rm -f smpfatal08$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpipi01/Makefile.am
===================================================================
--- testsuites/smptests/smpipi01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpipi01
-smpipi01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpipi01.scn smpipi01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpipi01_OBJECTS)
-LINK_LIBS = $(smpipi01_LDLIBS)
-
-smpipi01$(EXEEXT): $(smpipi01_OBJECTS) $(smpipi01_DEPENDENCIES)
-	@rm -f smpipi01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpload01/Makefile.am
===================================================================
--- testsuites/smptests/smpload01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpload01
-smpload01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpload01.scn smpload01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpload01_OBJECTS)
-LINK_LIBS = $(smpload01_LDLIBS)
-
-smpload01$(EXEEXT): $(smpload01_OBJECTS) $(smpload01_DEPENDENCIES)
-	@rm -f smpload01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smplock01/Makefile.am
===================================================================
--- testsuites/smptests/smplock01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smplock01
-smplock01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smplock01.scn smplock01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smplock01_OBJECTS)
-LINK_LIBS = $(smplock01_LDLIBS)
-
-smplock01$(EXEEXT): $(smplock01_OBJECTS) $(smplock01_DEPENDENCIES)
-	@rm -f smplock01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpmigration01/Makefile.am
===================================================================
--- testsuites/smptests/smpmigration01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpmigration01
-smpmigration01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpmigration01.scn smpmigration01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpmigration01_OBJECTS)
-LINK_LIBS = $(smpmigration01_LDLIBS)
-
-smpmigration01$(EXEEXT): $(smpmigration01_OBJECTS) $(smpmigration01_DEPENDENCIES)
-	@rm -f smpmigration01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpmigration02/Makefile.am
===================================================================
--- testsuites/smptests/smpmigration02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpmigration02
-smpmigration02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpmigration02.scn smpmigration02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpmigration02_OBJECTS)
-LINK_LIBS = $(smpmigration02_LDLIBS)
-
-smpmigration02$(EXEEXT): $(smpmigration02_OBJECTS) $(smpmigration02_DEPENDENCIES)
-	@rm -f smpmigration02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpmrsp01/Makefile.am
===================================================================
--- testsuites/smptests/smpmrsp01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpmrsp01
-smpmrsp01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpmrsp01.scn smpmrsp01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpmrsp01_OBJECTS)
-LINK_LIBS = $(smpmrsp01_LDLIBS)
-
-smpmrsp01$(EXEEXT): $(smpmrsp01_OBJECTS) $(smpmrsp01_DEPENDENCIES)
-	@rm -f smpmrsp01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpmutex01/Makefile.am
===================================================================
--- testsuites/smptests/smpmutex01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpmutex01
-smpmutex01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpmutex01.scn smpmutex01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpmutex01_OBJECTS)
-LINK_LIBS = $(smpmutex01_LDLIBS)
-
-smpmutex01$(EXEEXT): $(smpmutex01_OBJECTS) $(smpmutex01_DEPENDENCIES)
-	@rm -f smpmutex01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpmutex02/Makefile.am
===================================================================
--- testsuites/smptests/smpmutex02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpmutex02
-smpmutex02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpmutex02.scn smpmutex02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpmutex02_OBJECTS)
-LINK_LIBS = $(smpmutex02_LDLIBS)
-
-smpmutex02$(EXEEXT): $(smpmutex02_OBJECTS) $(smpmutex02_DEPENDENCIES)
-	@rm -f smpmutex02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpopenmp01/Makefile.am
===================================================================
--- testsuites/smptests/smpopenmp01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,20 +1,0 @@
-rtems_tests_PROGRAMS = smpopenmp01
-smpopenmp01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpopenmp01.scn smpopenmp01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CFLAGS += -fopenmp
-
-LINK_OBJS = $(smpopenmp01_OBJECTS)
-LINK_LIBS = $(smpopenmp01_LDLIBS)
-
-smpopenmp01$(EXEEXT): $(smpopenmp01_OBJECTS) $(smpopenmp01_DEPENDENCIES)
-	@rm -f smpopenmp01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smppsxaffinity01/Makefile.am
===================================================================
--- testsuites/smptests/smppsxaffinity01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = smppsxaffinity01
-smppsxaffinity01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smppsxaffinity01.scn
-dist_rtems_tests_DATA += smppsxaffinity01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-AM_CPPFLAGS += -I$(top_srcdir)/include
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smppsxaffinity01_OBJECTS)
-LINK_LIBS = $(smppsxaffinity01_LDLIBS)
-
-smppsxaffinity01$(EXEEXT): $(smppsxaffinity01_OBJECTS) $(smppsxaffinity01_DEPENDENCIES)
-	@rm -f smppsxaffinity01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smppsxaffinity02/Makefile.am
===================================================================
--- testsuites/smptests/smppsxaffinity02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smppsxaffinity02
-smppsxaffinity02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smppsxaffinity02.scn smppsxaffinity02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smppsxaffinity02_OBJECTS)
-LINK_LIBS = $(smppsxaffinity02_LDLIBS)
-
-smppsxaffinity02$(EXEEXT): $(smppsxaffinity02_OBJECTS) $(smppsxaffinity02_DEPENDENCIES)
-	@rm -f smppsxaffinity02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smppsxmutex01/Makefile.am
===================================================================
--- testsuites/smptests/smppsxmutex01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smppsxmutex01
-smppsxmutex01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smppsxmutex01.scn smppsxmutex01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smppsxmutex01_OBJECTS)
-LINK_LIBS = $(smppsxmutex01_LDLIBS)
-
-smppsxmutex01$(EXEEXT): $(smppsxmutex01_OBJECTS) $(smppsxmutex01_DEPENDENCIES)
-	@rm -f smppsxmutex01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smppsxsignal01/Makefile.am
===================================================================
--- testsuites/smptests/smppsxsignal01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smppsxsignal01
-smppsxsignal01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smppsxsignal01.scn smppsxsignal01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smppsxsignal01_OBJECTS)
-LINK_LIBS = $(smppsxsignal01_LDLIBS)
-
-smppsxsignal01$(EXEEXT): $(smppsxsignal01_OBJECTS) $(smppsxsignal01_DEPENDENCIES)
-	@rm -f smppsxsignal01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedaffinity01/Makefile.am
===================================================================
--- testsuites/smptests/smpschedaffinity01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedaffinity01
-smpschedaffinity01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedaffinity01.scn smpschedaffinity01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedaffinity01_OBJECTS)
-LINK_LIBS = $(smpschedaffinity01_LDLIBS)
-
-smpschedaffinity01$(EXEEXT): $(smpschedaffinity01_OBJECTS) $(smpschedaffinity01_DEPENDENCIES)
-	@rm -f smpschedaffinity01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedaffinity02/Makefile.am
===================================================================
--- testsuites/smptests/smpschedaffinity02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedaffinity02
-smpschedaffinity02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedaffinity02.scn smpschedaffinity02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedaffinity02_OBJECTS)
-LINK_LIBS = $(smpschedaffinity02_LDLIBS)
-
-smpschedaffinity02$(EXEEXT): $(smpschedaffinity02_OBJECTS) $(smpschedaffinity02_DEPENDENCIES)
-	@rm -f smpschedaffinity02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedaffinity03/Makefile.am
===================================================================
--- testsuites/smptests/smpschedaffinity03/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedaffinity03
-smpschedaffinity03_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedaffinity03.scn smpschedaffinity03.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedaffinity03_OBJECTS)
-LINK_LIBS = $(smpschedaffinity03_LDLIBS)
-
-smpschedaffinity03$(EXEEXT): $(smpschedaffinity03_OBJECTS) $(smpschedaffinity03_DEPENDENCIES)
-	@rm -f smpschedaffinity03$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedaffinity04/Makefile.am
===================================================================
--- testsuites/smptests/smpschedaffinity04/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedaffinity04
-smpschedaffinity04_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedaffinity04.scn smpschedaffinity04.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedaffinity04_OBJECTS)
-LINK_LIBS = $(smpschedaffinity04_LDLIBS)
-
-smpschedaffinity04$(EXEEXT): $(smpschedaffinity04_OBJECTS) $(smpschedaffinity04_DEPENDENCIES)
-	@rm -f smpschedaffinity04$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedaffinity05/Makefile.am
===================================================================
--- testsuites/smptests/smpschedaffinity05/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedaffinity05
-smpschedaffinity05_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedaffinity05.scn smpschedaffinity05.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedaffinity05_OBJECTS)
-LINK_LIBS = $(smpschedaffinity05_LDLIBS)
-
-smpschedaffinity05$(EXEEXT): $(smpschedaffinity05_OBJECTS) $(smpschedaffinity05_DEPENDENCIES)
-	@rm -f smpschedaffinity05$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschededf01/Makefile.am
===================================================================
--- testsuites/smptests/smpschededf01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschededf01
-smpschededf01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschededf01.scn smpschededf01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschededf01_OBJECTS)
-LINK_LIBS = $(smpschededf01_LDLIBS)
-
-smpschededf01$(EXEEXT): $(smpschededf01_OBJECTS) $(smpschededf01_DEPENDENCIES)
-	@rm -f smpschededf01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschededf02/Makefile.am
===================================================================
--- testsuites/smptests/smpschededf02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschededf02
-smpschededf02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschededf02.scn smpschededf02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschededf02_OBJECTS)
-LINK_LIBS = $(smpschededf02_LDLIBS)
-
-smpschededf02$(EXEEXT): $(smpschededf02_OBJECTS) $(smpschededf02_DEPENDENCIES)
-	@rm -f smpschededf02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschededf03/Makefile.am
===================================================================
--- testsuites/smptests/smpschededf03/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschededf03
-smpschededf03_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschededf03.scn smpschededf03.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschededf03_OBJECTS)
-LINK_LIBS = $(smpschededf03_LDLIBS)
-
-smpschededf03$(EXEEXT): $(smpschededf03_OBJECTS) $(smpschededf03_DEPENDENCIES)
-	@rm -f smpschededf03$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpschedsem01/Makefile.am
===================================================================
--- testsuites/smptests/smpschedsem01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpschedsem01
-smpschedsem01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpschedsem01.scn smpschedsem01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpschedsem01_OBJECTS)
-LINK_LIBS = $(smpschedsem01_LDLIBS)
-
-smpschedsem01$(EXEEXT): $(smpschedsem01_OBJECTS) $(smpschedsem01_DEPENDENCIES)
-	@rm -f smpschedsem01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler01/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler01
-smpscheduler01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpscheduler01.scn smpscheduler01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler01_OBJECTS)
-LINK_LIBS = $(smpscheduler01_LDLIBS)
-
-smpscheduler01$(EXEEXT): $(smpscheduler01_OBJECTS) $(smpscheduler01_DEPENDENCIES)
-	@rm -f smpscheduler01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler02/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler02/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler02
-smpscheduler02_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpscheduler02.scn smpscheduler02.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler02_OBJECTS)
-LINK_LIBS = $(smpscheduler02_LDLIBS)
-
-smpscheduler02$(EXEEXT): $(smpscheduler02_OBJECTS) $(smpscheduler02_DEPENDENCIES)
-	@rm -f smpscheduler02$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler03/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler03/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler03
-smpscheduler03_SOURCES = init.c test.c
-
-dist_rtems_tests_DATA = smpscheduler03.scn smpscheduler03.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler03_OBJECTS)
-LINK_LIBS = $(smpscheduler03_LDLIBS)
-
-smpscheduler03$(EXEEXT): $(smpscheduler03_OBJECTS) $(smpscheduler03_DEPENDENCIES)
-	@rm -f smpscheduler03$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler04/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler04/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler04
-smpscheduler04_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpscheduler04.scn smpscheduler04.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler04_OBJECTS)
-LINK_LIBS = $(smpscheduler04_LDLIBS)
-
-smpscheduler04$(EXEEXT): $(smpscheduler04_OBJECTS) $(smpscheduler04_DEPENDENCIES)
-	@rm -f smpscheduler04$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler05/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler05/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler05
-smpscheduler05_SOURCES = init.c ../smpscheduler03/test.c
-
-dist_rtems_tests_DATA = smpscheduler05.scn smpscheduler05.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler05_OBJECTS)
-LINK_LIBS = $(smpscheduler05_LDLIBS)
-
-smpscheduler05$(EXEEXT): $(smpscheduler05_OBJECTS) $(smpscheduler05_DEPENDENCIES)
-	@rm -f smpscheduler05$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler06/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler06/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler06
-smpscheduler06_SOURCES = init.c ../smpscheduler03/test.c
-
-dist_rtems_tests_DATA = smpscheduler06.scn smpscheduler06.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler06_OBJECTS)
-LINK_LIBS = $(smpscheduler06_LDLIBS)
-
-smpscheduler06$(EXEEXT): $(smpscheduler06_OBJECTS) $(smpscheduler06_DEPENDENCIES)
-	@rm -f smpscheduler06$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpscheduler07/Makefile.am
===================================================================
--- testsuites/smptests/smpscheduler07/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpscheduler07
-smpscheduler07_SOURCES = init.c ../smpscheduler03/test.c
-
-dist_rtems_tests_DATA = smpscheduler07.scn smpscheduler07.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpscheduler07_OBJECTS)
-LINK_LIBS = $(smpscheduler07_LDLIBS)
-
-smpscheduler07$(EXEEXT): $(smpscheduler07_OBJECTS) $(smpscheduler07_DEPENDENCIES)
-	@rm -f smpscheduler07$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpsignal01/Makefile.am
===================================================================
--- testsuites/smptests/smpsignal01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpsignal01
-smpsignal01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpsignal01.scn smpsignal01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpsignal01_OBJECTS)
-LINK_LIBS = $(smpsignal01_LDLIBS)
-
-smpsignal01$(EXEEXT): $(smpsignal01_OBJECTS) $(smpsignal01_DEPENDENCIES)
-	@rm -f smpsignal01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpstrongapa01/Makefile.am
===================================================================
--- testsuites/smptests/smpstrongapa01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpstrongapa01
-smpstrongapa01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpstrongapa01.scn smpstrongapa01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpstrongapa01_OBJECTS)
-LINK_LIBS = $(smpstrongapa01_LDLIBS)
-
-smpstrongapa01$(EXEEXT): $(smpstrongapa01_OBJECTS) $(smpstrongapa01_DEPENDENCIES)
-	@rm -f smpstrongapa01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpswitchextension01/Makefile.am
===================================================================
--- testsuites/smptests/smpswitchextension01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpswitchextension01
-smpswitchextension01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpswitchextension01.scn smpswitchextension01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpswitchextension01_OBJECTS)
-LINK_LIBS = $(smpswitchextension01_LDLIBS)
-
-smpswitchextension01$(EXEEXT): $(smpswitchextension01_OBJECTS) $(smpswitchextension01_DEPENDENCIES)
-	@rm -f smpswitchextension01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpthreadlife01/Makefile.am
===================================================================
--- testsuites/smptests/smpthreadlife01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpthreadlife01
-smpthreadlife01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpthreadlife01.scn smpthreadlife01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpthreadlife01_OBJECTS)
-LINK_LIBS = $(smpthreadlife01_LDLIBS)
-
-smpthreadlife01$(EXEEXT): $(smpthreadlife01_OBJECTS) $(smpthreadlife01_DEPENDENCIES)
-	@rm -f smpthreadlife01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpunsupported01/Makefile.am
===================================================================
--- testsuites/smptests/smpunsupported01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpunsupported01
-smpunsupported01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpunsupported01.scn smpunsupported01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpunsupported01_OBJECTS)
-LINK_LIBS = $(smpunsupported01_LDLIBS)
-
-smpunsupported01$(EXEEXT): $(smpunsupported01_OBJECTS) $(smpunsupported01_DEPENDENCIES)
-	@rm -f smpunsupported01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/smptests/smpwakeafter01/Makefile.am
===================================================================
--- testsuites/smptests/smpwakeafter01/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ 	(revision )
@@ -1,19 +1,0 @@
-rtems_tests_PROGRAMS = smpwakeafter01
-smpwakeafter01_SOURCES = init.c
-
-dist_rtems_tests_DATA = smpwakeafter01.scn smpwakeafter01.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(smpwakeafter01_OBJECTS)
-LINK_LIBS = $(smpwakeafter01_LDLIBS)
-
-smpwakeafter01$(EXEEXT): $(smpwakeafter01_OBJECTS) $(smpwakeafter01_DEPENDENCIES)
-	@rm -f smpwakeafter01$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
